#Module-Specific definitions
%define mod_version 0.3.1
%define release 1mdk
%define mod_name mod_injection
%define mod_conf 23_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk

Summary:	Mod_injection is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		%{mod_name}-0.3.0-register.patch.bz2
License:	BSD
URL:		http://pmade.org/pjones/software/mod_injection/download.html
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_injection is an Apache 2.0.X filter module. It allows you to
inject text in the HTTP response after a HTML tag or after any
given text string. The main intention of this module is to add a
banner to several HTML pages on the fly.

%prep

%setup -q -n %{sourcename}
%patch0 -p1

%build
cp src/mod_injection.c .
%{apxs} -c mod_injection.c

# fix strange permissions
find docs/manual/ -name "*.xml" | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

# make the example work... (ugly, but it works...)

NEW_URL=/addon-modules/%{name}-%{version}/
perl -pi -e "s|_REPLACE_ME_|$NEW_URL|g" %{buildroot}%{ap_confd}/%{mod_conf}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README INSTALL docs/CREDITS
%doc docs/manual/build.xml docs/manual/changelog.xml
%doc docs/manual/config.xml docs/manual/credits.xml
%doc docs/manual/manual.xml docs/manual/readme.xml
%doc docs/manual/requirements.xml docs/manual.txt
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.3.1-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.3.1-1mdk
- built for apache 2.0.49

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.3.1-1mdk
- built for apache 2.0.48

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.3.1-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.3.1-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.3.1-1mdk
- cosmetic rebuild for apache v2.0.45 

* Fri Feb 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.3.1-1mdk
- 0.3.1

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.3.0-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.3.0-5mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.3.0-4mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.3.0-3mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.3.0-2mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Mon Oct 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.3.0-1mdk
- initial cooker contrib
